public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Jory Pratt" <anarchy@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/musl:master commit in: media-libs/mesa/
Date: Sun, 14 Jun 2020 23:35:30 +0000 (UTC)	[thread overview]
Message-ID: <1592177724.56a091a5dbe033db184f0abe502352fb0ccd7889.anarchy@gentoo> (raw)

commit:     56a091a5dbe033db184f0abe502352fb0ccd7889
Author:     Jory Pratt <anarchy <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 14 23:35:24 2020 +0000
Commit:     Jory Pratt <anarchy <AT> gentoo <DOT> org>
CommitDate: Sun Jun 14 23:35:24 2020 +0000
URL:        https://gitweb.gentoo.org/proj/musl.git/commit/?id=56a091a5

media-libs/mesa: mark 20.0.8 stable for all archs

Package-Manager: Portage-2.3.100, Repoman-2.3.22
Signed-off-by: Jory Pratt <anarchy <AT> gentoo.org>

 media-libs/mesa/Manifest                           |  2 +-
 .../{mesa-20.0.4-r1.ebuild => mesa-20.0.8.ebuild}  | 28 ++++++++++++++++------
 2 files changed, 22 insertions(+), 8 deletions(-)

diff --git a/media-libs/mesa/Manifest b/media-libs/mesa/Manifest
index a0d5e87..d4b8a71 100644
--- a/media-libs/mesa/Manifest
+++ b/media-libs/mesa/Manifest
@@ -1,2 +1,2 @@
 DIST mesa-19.3.5.tar.xz 12064980 BLAKE2B a20ebfb149624f13951795e07154ab70dc1856a7a1261b339b0bdf0009511111756c88439e7b8729f768b0b4b298301b9a3c0c10d7f2fab3abd91649c12ba51c SHA512 413929573fab31e1bb2a1a04c0c770161c2db464a5aab3f0567d27603fff889ede70e1f6e197e7ff1c1639dc4cc543457bcf45761f0f8e6dffafccfa773a4e3f
-DIST mesa-20.0.4.tar.xz 12292888 BLAKE2B a14b747045ee4ff3bc07e527ad43d5b22047d6c9700cf290ba9c95e07bd88b9252bdd14380d4f0033dcb8fb652664987889d972db09462bcc69c8a7e843b606f SHA512 17d8bc3b56779a8e5648d81da9ee97b66bcec015710801edce4e8055fbb314cd9ebc1d112e3035480ba844c7d9ae6b5b1f1eac0cc0817e69e9253a7748451a55
+DIST mesa-20.0.8.tar.xz 12360736 BLAKE2B 19e3f8a40b34b5f17ed76077c5d92f728a134b2479c43d86674ed1818ab99639a9b732041f67488251df808564f6abe5b587d756ef9c7c13dcada87cd0fc05de SHA512 d906330c412899907dd05a84034a929107fccaf3044814c4b1f30ba5690cbcf1587b5f17534c6345111f3cb7cf292afd5984a60486643ff6f534b57cec615374

diff --git a/media-libs/mesa/mesa-20.0.4-r1.ebuild b/media-libs/mesa/mesa-20.0.8.ebuild
similarity index 94%
rename from media-libs/mesa/mesa-20.0.4-r1.ebuild
rename to media-libs/mesa/mesa-20.0.8.ebuild
index 0f4c37a..c378ffa 100644
--- a/media-libs/mesa/mesa-20.0.4-r1.ebuild
+++ b/media-libs/mesa/mesa-20.0.8.ebuild
@@ -5,7 +5,7 @@ EAPI=7
 
 PYTHON_COMPAT=( python3_{6,7,8} )
 
-inherit llvm meson multilib-minimal pax-utils python-any-r1
+inherit llvm meson multilib-minimal python-any-r1 linux-info
 
 OPENGL_DIR="xorg-x11"
 
@@ -19,7 +19,7 @@ if [[ ${PV} == 9999 ]]; then
 	inherit git-r3
 else
 	SRC_URI="https://mesa.freedesktop.org/archive/${MY_P}.tar.xz"
-	KEYWORDS="~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~x86"
+	KEYWORDS="amd64 arm arm64 ~mips ppc ppc64 x86"
 fi
 
 LICENSE="MIT"
@@ -44,7 +44,6 @@ REQUIRED_USE="
 	gles1?  ( egl )
 	gles2?  ( egl )
 	vulkan? ( dri3
-			  || ( video_cards_i965 video_cards_iris video_cards_radeonsi )
 			  video_cards_radeonsi? ( llvm ) )
 	vulkan-overlay? ( vulkan )
 	wayland? ( egl gbm )
@@ -147,9 +146,10 @@ RDEPEND="${RDEPEND}
 # 1. List all the working slots (with min versions) in ||, newest first.
 # 2. Update the := to specify *max* version, e.g. < 10.
 # 3. Specify LLVM_MAX_SLOT, e.g. 9.
-LLVM_MAX_SLOT="9"
+LLVM_MAX_SLOT="10"
 LLVM_DEPSTR="
 	|| (
+		sys-devel/llvm:10[${MULTILIB_USEDEP}]
 		sys-devel/llvm:9[${MULTILIB_USEDEP}]
 		sys-devel/llvm:8[${MULTILIB_USEDEP}]
 	)
@@ -248,7 +248,6 @@ x86? (
 
 PATCHES=(
 	"${FILESDIR}"/${PN}-19.3.0-add-disable-tls-support.patch
-	"${FILESDIR}"/${P}-meson-Specify-the-maximum-required-libdrm-in-dri.pc.patch
 )
 
 llvm_check_deps() {
@@ -265,6 +264,14 @@ llvm_check_deps() {
 }
 
 pkg_pretend() {
+	if use vulkan; then
+		if ! use video_cards_i965 &&
+		   ! use video_cards_iris &&
+		   ! use video_cards_radeonsi; then
+			ewarn "Ignoring USE=vulkan     since VIDEO_CARDS does not contain i965, iris, or radeonsi"
+		fi
+	fi
+
 	if use opencl; then
 		if ! use video_cards_r600 &&
 		   ! use video_cards_radeonsi; then
@@ -331,6 +338,15 @@ pkg_setup() {
 		ewarn "detected! This can cause problems. For details, see bug 459306."
 	fi
 
+	# os_same_file_description requires the kcmp syscall,
+	# which is only available with CONFIG_CHECKPOINT_RESTORE=y.
+	# Currently only AMDGPU utilizes this function, so only AMDGPU users would
+	# get a spooky warning message if the syscall fails.
+	if use gallium && use video_cards_radeonsi; then
+		CONFIG_CHECK="~CHECKPOINT_RESTORE"
+		linux-info_pkg_setup
+	fi
+
 	if use gallium && use llvm; then
 		llvm_pkg_setup
 	fi
@@ -510,8 +526,6 @@ multilib_src_compile() {
 
 multilib_src_install() {
 	meson_src_install
-
-	use libglvnd && rm -f "${D}"/usr/$(get_libdir)/pkgconfig/{egl,gl}.pc
 }
 
 multilib_src_install_all() {


             reply	other threads:[~2020-06-14 23:35 UTC|newest]

Thread overview: 116+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-06-14 23:35 Jory Pratt [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-03-10 19:52 [gentoo-commits] proj/musl:master commit in: media-libs/mesa/ Jory Pratt
2022-02-09  1:14 Jory Pratt
2022-01-05 22:38 Jory Pratt
2021-12-19 14:11 Jory Pratt
2021-11-25 14:49 Jory Pratt
2021-08-16 18:27 Jory Pratt
2021-07-06 13:17 Jory Pratt
2021-04-01 13:03 Jory Pratt
2021-03-10  3:14 Jory Pratt
2021-02-01 19:54 Jory Pratt
2020-12-07 13:39 Jory Pratt
2020-12-03 16:34 Jory Pratt
2020-11-08  0:02 Jory Pratt
2020-09-28 22:56 Jory Pratt
2020-04-04  3:02 Jory Pratt
2020-04-02 13:46 Jory Pratt
2020-03-21  3:09 Jory Pratt
2020-03-17 14:32 Jory Pratt
2020-03-07 17:37 Jory Pratt
2020-02-21  1:02 Jory Pratt
2020-02-14 14:02 Jory Pratt
2020-01-29 15:16 Jory Pratt
2020-01-12  0:23 Jory Pratt
2020-01-08  3:12 Jory Pratt
2019-12-21 21:50 Jory Pratt
2019-12-20 19:01 Jory Pratt
2019-12-14 21:32 Jory Pratt
2019-12-05 16:52 Jory Pratt
2019-11-29 17:09 Jory Pratt
2019-11-23  0:20 Jory Pratt
2019-11-13 22:40 Jory Pratt
2019-10-10 14:39 Jory Pratt
2019-09-26  2:53 Jory Pratt
2019-09-23  5:08 Jory Pratt
2019-09-13 12:37 Jory Pratt
2019-09-13  3:43 Jory Pratt
2019-09-09 14:13 Jory Pratt
2019-08-23 21:50 Jory Pratt
2019-08-22  3:05 Jory Pratt
2019-08-11 21:22 Jory Pratt
2019-07-25  0:34 Jory Pratt
2019-07-09 20:24 Jory Pratt
2019-06-29  7:49 Jory Pratt
2019-06-26  4:52 Jory Pratt
2019-06-11 21:13 Jory Pratt
2019-06-06  1:22 Jory Pratt
2019-05-30  5:55 Jory Pratt
2019-05-22 23:45 Jory Pratt
2019-05-20 21:04 Jory Pratt
2019-05-08  5:13 Jory Pratt
2019-05-08  3:26 Jory Pratt
2019-04-25  4:09 Jory Pratt
2019-04-17  1:24 Anthony G. Basile
2019-04-17  1:13 Anthony G. Basile
2019-04-11 16:55 Jory Pratt
2019-04-05 16:03 Jory Pratt
2019-03-27 21:34 Jory Pratt
2018-12-03  5:08 Anthony G. Basile
2018-10-31 12:26 Anthony G. Basile
2018-10-04 21:25 Anthony G. Basile
2018-10-04 21:21 Anthony G. Basile
2018-08-22  1:25 Anthony G. Basile
2018-08-19 17:46 Anthony G. Basile
2018-08-19 17:41 Anthony G. Basile
2018-08-19 17:20 Anthony G. Basile
2018-07-04 23:31 Jory Pratt
2018-06-05  4:43 Aric Belsito
2018-06-02  1:18 Aric Belsito
2018-05-21 16:23 Aric Belsito
2018-05-15 20:17 Jory Pratt
2018-05-08 18:01 Jory Pratt
2018-05-07 19:21 Aric Belsito
2018-04-29 17:19 Aric Belsito
2018-04-22 17:46 Anthony G. Basile
2018-04-21 19:42 Aric Belsito
2018-04-21 19:26 Aric Belsito
2018-04-12 16:34 Aric Belsito
2018-03-28 16:07 Aric Belsito
2018-03-28 15:59 Aric Belsito
2018-03-22  3:24 Aric Belsito
2018-03-04 17:23 Anthony G. Basile
2018-03-04 16:57 Anthony G. Basile
2018-02-09  4:34 Aric Belsito
2018-01-29 19:54 Aric Belsito
2018-01-25 20:03 Aric Belsito
2018-01-24 21:14 Aric Belsito
2018-01-24 21:11 Aric Belsito
2018-01-22 23:15 Jory Pratt
2017-12-31 16:52 Anthony G. Basile
2017-12-29 21:42 Aric Belsito
2017-11-24 18:56 Aric Belsito
2017-11-22  4:57 Aric Belsito
2017-11-14 21:29 Aric Belsito
2017-11-08  3:25 Aric Belsito
2017-10-31 17:04 Aric Belsito
2017-10-20  4:23 Aric Belsito
2017-10-02 17:04 Aric Belsito
2017-09-18  1:00 Aric Belsito
2017-09-05 18:48 Aric Belsito
2017-09-05 13:39 Anthony G. Basile
2017-08-31 20:10 Jory Pratt
2017-08-22 15:24 Aric Belsito
2017-08-13 17:33 Jory Pratt
2017-08-08 20:09 Aric Belsito
2017-07-15  1:01 Aric Belsito
2017-06-30 20:45 Aric Belsito
2017-06-21 16:37 Aric Belsito
2017-06-21 16:18 Aric Belsito
2017-06-11  1:26 Aric Belsito
2017-05-30 20:06 Aric Belsito
2017-05-16  0:36 Aric Belsito
2017-05-08 20:55 Aric Belsito
2017-04-30  2:14 Aric Belsito
2017-04-17 16:12 Aric Belsito
2017-04-03  1:52 Aric Belsito

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1592177724.56a091a5dbe033db184f0abe502352fb0ccd7889.anarchy@gentoo \
    --to=anarchy@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox